import { defineStore } from "pinia";
import { ref } from "vue";
import type { DataOption } from "@/modules/10_registry/interface/index/Main";

export const useRequestEditStore = defineStore("requestEditStore", () => {
  const optionTopic = ref<string[]>([
    "ขอปรับปรุงข้อมูลจากกรมการปกครอง",
    "ขอแก้ไขรูปภาพประจำตัว",
    "ขอแก้ไขข้อมูล คู่สมรส",
    "ขอแก้ไขข้อมูล บิดา",
    "ขอแก้ไขข้อมูล มารดา",
    "ขอแก้ไขข้อมูลบุตร",
    "ขอแก้ไขข้อมูลเครื่องราชฯ เหรียญจักรพรรดิมาลา",
    "ขอแก้ไขข้อมูลประวัติการศึกษา",
    "ขอแก้ไขข้อมูลประวัติการฝึกอบรม",
    "ขอแก้ไขใบอนุญาตประกอบวิชาชีพ",
    "ขอแก้ไขที่อยู่ปัจจุบัน",
    "ขอแก้ไขใบอนุญาตประกอบวิชาชีพ",
  ]);
  const optionStatus = ref<DataOption[]>([
    { id: "", name: "ทั้งหมด" },
    { id: "PENDING", name: "รอดำเนินการ" },
    { id: "COMPLETE", name: "ดำเนินการแก้ไขแล้ว" },
    { id: "REJECT", name: "ไม่อนุมัตการแก้ไข" },
  ]);

  function convertStatus(val: string) {
    switch (val) {
      case "PENDING":
        return "รอดำเนินการ";
      case "COMPLETE":
        return "ดำเนินการแก้ไขแล้ว";
      case "REJECT":
        return "ไม่อนุมัตการแก้ไข";
      default:
        return "-";
    }
  }
  return { convertStatus, optionTopic, optionStatus };
});
